Member Function
Splitter
Constructor
Splitter(beginPos, endPos[, subintervalCount])
Splitter(beginPos, endPos, parallelTag)
Parameters

beginPos | Left interval boundary.
endPos | Right interval boundary.
subintervalCount | Number of subintervals. Default: The minimum of interval size and the number of available threads (returned by omp_get_max_threads()). Remarks: length and resize can be used to retrieve or change the number of subintervals later.
parallelTag | Tag to generically enable/disable parallelism. If its type is Parallel, the default number of subintervals is used. If it is Serial, only one subinterval is used. Types: Parallel, Serial Remarks: This tag should be used to write generic parallel algorithms and to switch between parallel and serial variants.

Member of
Splitter
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59